<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.cool.store.mapper.AssessmentTemplateMapper">
  <resultMap id="BaseResultMap" type="com.cool.store.entity.AssessmentTemplateDO">
    <!--
      WARNING - @mbg.generated
    -->
    <id column="id" jdbcType="BIGINT" property="id" />
    <result column="type" jdbcType="BIT" property="type" />
    <result column="category" jdbcType="VARCHAR" property="category" />
    <result column="template_name" jdbcType="VARCHAR" property="templateName" />
    <result column="template_remark" jdbcType="VARCHAR" property="templateRemark" />
    <result column="score" jdbcType="BIGINT" property="score" />
    <result column="template_requirements" jdbcType="LONGVARCHAR" property="templateRequirements" />
    <result column="check_type" jdbcType="VARCHAR" property="checkType" />
  </resultMap>


  <select id="listByType" resultMap="BaseResultMap">
    select * from xfsg_assessment_template where type = #{type}
  </select>
</mapper>